%global srcname supersmoother
%global sum Python implementation of Friedman's Supersmoother

Name:           python-%{srcname}
Version:        0.3.2
Release:        2%{?dist}
Summary:        %{sum}

License:        BSD
URL:            http://pypi.python.org/pypi/%{srcname}
Source0:        http://pypi.python.org/packages/source/s/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  numpy
BuildRequires:  python2-devel
BuildRequires:  python3-devel
BuildRequires:  python-nose
BuildRequires:  python3-nose
BuildRequires:  python3-numpy
BuildRequires:  python3-scipy
BuildRequires:  scipy

%description
This is an efficient implementation of Friedman’s SuperSmoother based in
Python. It makes use of numpy for fast numerical computation.

%package -n python2-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{srcname}}
Requires:       numpy
Requires:       scipy

%description -n python2-%{srcname}
This is an efficient implementation of Friedman’s SuperSmoother based in
Python. It makes use of numpy for fast numerical computation.

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3-numpy
Requires:       python3-scipy

%description -n python3-%{srcname}
This is an efficient implementation of Friedman’s SuperSmoother based in
Python. It makes use of numpy for fast numerical computation.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
nosetests-%{python2_version} supersmoother
nosetests-%{python3_version} supersmoother

%files -n python2-%{srcname}
%license LICENSE
%doc CHANGES.md README.md
%{python2_sitelib}/*

%files -n python3-%{srcname}
%license LICENSE
%doc CHANGES.md README.md
%{python3_sitelib}/*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 03 2016 Christian Dersch <lupinix@mailbox.org> - 0.3.2-1
- Initial spec


